- Qt 6.12
- Qt GRPC
- C++ Classes
- RpcDescriptor
- Qt 6.12.0 Reference Documentation

# QtGrpc::RpcDescriptor Struct

struct QtGrpc::RpcDescriptor

Describes a gRPC method with its service name, method name, and RPC type. More...

Header: | `#include <QtGrpcNamespace>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.11

- List of all members, including inherited members

QtGrpc::RpcDescriptor Comparisons

Category | Comparable Types
--- | ---
strong | QtGrpc::RpcDescriptor

## Public Variables

QLatin1StringView | method
QLatin1StringView | service
QtGrpc::RpcType | type

## Related Non-Members

size_t | qHash(const QtGrpc::RpcDescriptor &key, size_t seed = 0)
QDebug | operator<<(QDebug debug, const QtGrpc::RpcDescriptor &description)

## Detailed Description

The RpcDescriptor struct holds identifying information about a gRPC method used to initiate and describe RPC calls. It allows QtGrpc to associate each operation with its service, method, and communication pattern.

See also QtGrpc::RpcType.

## Member Variable Documentation

### QLatin1StringView RpcDescriptor::method

The name of the gRPC method within the service.

### QLatin1StringView RpcDescriptor::service

The name of the gRPC service this method belongs to.

### QtGrpc::RpcType RpcDescriptor::type

The type of RPC, as defined by QtGrpc::RpcType.

## Related Non-Members

### `[constexpr noexcept]` size_t qHash(const QtGrpc::RpcDescriptor &key, size_t seed = 0)

Returns the hash value for key, using seed to seed the calculation.

### QDebug operator<<(QDebug debug, const QtGrpc::RpcDescriptor &description)

Writes description to the specified stream debug.